<div class="d-flex flex-column boc-greyb6 p-container">
    <ng-container *ngFor="let param of parameters">
        <app-workload-parameter [parameter]="param" [selected]="selectedDict[param.key]"
            (click)="selectParameter(param)" (edit)="editParameter(param.id)" (delete)="deleteParameter(param.id)">
        </app-workload-parameter>
        <ng-container *ngIf="param.type">
            <app-workload-parameter *ngFor="let gparam of param.parameters" [parameter]="gparam"
                [selected]="selectedDict[gparam.key]" (click)="selectParameter(param)" (edit)="editParameter(param.id)"
                (delete)="deleteParameter(param.id)"><span class="dash">-</span>
            </app-workload-parameter>
        </ng-container>
    </ng-container>
</div>
<div class="d-flex justify-content-center align-items-center order" *ngIf="selectedParameter">
    <span class="font-bold-12 color-grey1a">Order</span>
    <button class="arrow" (click)="changeOrder(true)">
        &#x25B2;
    </button>
    <button class="arrow" (click)="changeOrder(false)">
        &#x25BC;
    </button>
</div>